//
//
//

#pragma once

#include <Raym/Object.h>
#include <Raym/FileHandle.h>

namespace Raym
{

class Pipe : public Object
{
private:
    FileHandle *  _fileHandleForReading;
    FileHandle *  _fileHandleForWriting;

protected:
    Pipe();
    ~Pipe();

public:
    static Pipe *alloc();
    Pipe *init();

    FileHandle *fileHandleForReading();
    FileHandle *fileHandleForWriting();

    virtual const char *className();
};

} // Raym

